cURL
curl --request POST \
--url https://backendapi.corbado.io/v2/passkeyIntelligence/{projectID}/rulesets \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"ruleType": "<string>",
"content": "<string>",
"requestID": "req-557...663",
"isActive": true
}
'import requests
url = "https://backendapi.corbado.io/v2/passkeyIntelligence/{projectID}/rulesets"
payload = {
"ruleType": "<string>",
"content": "<string>",
"requestID": "req-557...663",
"isActive": True
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ruleType: '<string>',
content: '<string>',
requestID: 'req-557...663',
isActive: true
})
};
fetch('https://backendapi.corbado.io/v2/passkeyIntelligence/{projectID}/rulesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"rulesetID": "<string>"
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}ConnectManagement
Post passkeyintelligence rulesets
Adds new ruleset to project
POST
/
passkeyIntelligence
/
{projectID}
/
rulesets
cURL
Authorizations
basicAuthbearerAuth
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
The project ID
Body
application/json
Response
Returns newly created ruleset id
HTTP status code of operation
Example:
"OK"
Data about the request itself, can be used for debugging
Show child attributes
Show child attributes
Runtime in seconds for this request
Example:
0.06167686
Was this page helpful?